Bug 50301 - segmentation violation
segmentation violation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-30 01:57 EDT by Marty Shannon
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-02 12:03:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (2.47 KB, text/plain)
2001-07-30 05:07 EDT, Marty Shannon
no flags Details
lspci -vn (1.93 KB, text/plain)
2001-07-30 05:10 EDT, Marty Shannon
no flags Details

  None (edit)
Description Marty Shannon 2001-07-30 01:57:44 EDT
Description of Problem:
Was mostly using Mozilla to surf; had Xmms (idle), and Netscape, and a few
gnome-terminals running.  SIGSEGV came outta the blue.  Worse, upon restart
(startx&), X started with wrong (bad, at least) timings, so the screen was
a mess.

How Reproducible:
Happened once.

Steps to Reproduce:
1. Got me hangin'!  :-)

Actual Results:
SIGSEGV

Expected Results:
normal operation

Additional Information:

Apologies for cut'n'paste, but that seemed easiest at the time....

Here's what I could scrape off the screen (note: no core dump!):

GetModeLine - scrn: 0 clock: 108000
GetModeLine - hdsp: 1280 hbeg: 1328 hend: 1440 httl: 1688
              vdsp: 1024 vbeg: 1025 vend: 1028 vttl: 1066 flags: 5

Fatal server error:
Caught signal 11.  Server aborting


When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.

Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
xinit:  connection to X server lost.
Gdk-ERROR **: Fatal IO error 104 (Connection reset by peer) on X server
:0.0.
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).

** WARNING **: 2 scalable icons still left when destroying icon factory

[1]   Done                    startx

Here's /var/log/XFree86.0.log:

XFree86 Version 4.1.0 (Red Hat Linux release: 4.1.0-0.9.4) / X Window
System
(protocol Version 11, revision 0, vendor release 6510)
Release Date: 2 June 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Build Operating System: Linux 2.4.6-3enterprise i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Mon Jul 30 01:28:32 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "ATI Radeon AGP"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.4
	XFree86 XInput driver : 0.2
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7190 card 0000,0000 rev 03 class 06,00,00 hdr
00
(II) PCI: 00:01:0: chip 8086,7191 card 0000,0000 rev 03 class 06,04,00 hdr
01
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 02 class 06,01,00 hdr
80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr
00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr
00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00 hdr
00
(II) PCI: 00:11:0: chip 11ad,c115 card 11ad,c001 rev 25 class 02,00,00 hdr
00
(II) PCI: 00:12:0: chip 1102,0002 card 1102,8023 rev 08 class 04,01,00 hdr
80
(II) PCI: 00:12:1: chip 1102,7002 card 1102,0020 rev 08 class 09,80,00 hdr
80
(II) PCI: 01:00:0: chip 1002,5144 card 1002,008a rev 00 class 03,00,00 hdr
00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x89 (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xff800000 - 0xff9fffff (0x200000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xe6a00000 - 0xf6afffff (0x10100000) MX[B]
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) ATI Radeon QD rev 0, Mem @ 0xe8000000/27, 0xff980000/19,
I/O @ 0xd800/8, BIOS @ 0xff960000/17
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0xffafff00 - 0xffafffff (0x100) MX[B]
	[1] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[2] -1	0xff960000 - 0xff97ffff (0x20000) MX[B](B)
	[3] -1	0xff980000 - 0xff9fffff (0x80000) MX[B](B)
	[4] -1	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[5] -1	0x0000eff0 - 0x0000eff7 (0x8) IX[B]
	[6] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[7] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[8] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[9] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[10] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xffafff00 - 0xffafffff (0x100) MX[B]
	[1] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[2] -1	0xff960000 - 0xff97ffff (0x20000) MX[B](B)
	[3] -1	0xff980000 - 0xff9fffff (0x80000) MX[B](B)
	[4] -1	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[5] -1	0x0000eff0 - 0x0000eff7 (0x8) IX[B]
	[6] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[7] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[8] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[9] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[10] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xffafff00 - 0xffafffff (0x100) MX[B]
	[6] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[7] -1	0xff960000 - 0xff97ffff (0x20000) MX[B](B)
	[8] -1	0xff980000 - 0xff9fffff (0x80000) MX[B](B)
	[9] -1	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[10] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0x0000eff0 - 0x0000eff7 (0x8) IX[B]
	[13] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[14] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[15] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[16] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[17] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "pex5"
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension X3D-PEX
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "pex5"
(II) Reloading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Loading extension X3D-PEX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "xie"
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XIE
(II) LoadModule: "radeon"
(II) Loading /usr/X11R6/lib/modules/drivers/radeon_drv.o
(II) Module radeon: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 4.0.1
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 6.3.6
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.2
(II) ATI: ATI driver (version 6.3.6) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
	ATI Rage 128 RL (AGP), ATI Rage 128 Pro PD (PCI),
	ATI Rage 128 Pro PF (AGP), ATI Rage 128 Mobility LE (PCI),
	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
	ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE (AGP)
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Radeon QD (AGP) found
(II) Loading sub module "radeon"
(II) LoadModule: "radeon"
(II) Reloading /usr/X11R6/lib/modules/drivers/radeon_drv.o
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xffafff00 - 0xffafffff (0x100) MX[B]
	[6] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[7] -1	0xff960000 - 0xff97ffff (0x20000) MX[B](B)
	[8] -1	0xff980000 - 0xff9fffff (0x80000) MX[B](B)
	[9] -1	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[10] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0x0000eff0 - 0x0000eff7 (0x8) IX[B]
	[13] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[14] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[15] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[16] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[17] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xffafff00 - 0xffafffff (0x100) MX[B]
	[6] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[7] -1	0xff960000 - 0xff97ffff (0x20000) MX[B](B)
	[8] -1	0xff980000 - 0xff9fffff (0x80000) MX[B](B)
	[9] -1	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[10] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[11] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[12] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0x0000eff0 - 0x0000eff7 (0x8) IX[B]
	[16] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[17] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[18] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[19] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[20] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
	[21] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[22] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) RADEON(0): PCI bus 1 card 0 func 0
(**) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(--) RADEON(0): Chipset: "ATI Radeon QD (AGP)" (ChipID = 0x5144)
(--) RADEON(0): Linear framebuffer at 0xe8000000
(--) RADEON(0): MMIO registers at 0xff980000
(--) RADEON(0): BIOS at 0xff960000
(--) RADEON(0): VideoRAM: 32768 kByte (64-bit DDR SDRAM)
(II) RADEON(0): PLL parameters: rf=2700 rd=60 min=12000 max=35000;
xclk=16600
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) RADEON(0): VESA BIOS detected
(II) RADEON(0): VESA VBE Version 2.0
(II) RADEON(0): VESA VBE Total Mem: 32768 kB
(II) RADEON(0): VESA VBE OEM: ATI RAGE128
(II) RADEON(0): VESA VBE OEM Software Rev: 1.0
(II) RADEON(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) RADEON(0): VESA VBE OEM Product: RG6 
(II) RADEON(0): VESA VBE OEM Product Rev: 01.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) RADEON(0): VESA VBE DDC supported
(II) RADEON(0): VESA VBE DDC Level 2
(II) RADEON(0): VESA VBE DDC transfer in appr. 2 sec.
(II) RADEON(0): VESA VBE DDC read successfully
(II) RADEON(0): Manufacturer: IBM  Model: 252f  Serial#: 16843009
(II) RADEON(0): Year: 2000  Week: 20
(II) RADEON(0): EDID Version: 1.1
(II) RADEON(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) RADEON(0): Sync:  Separate  Composite  SyncOnGreen
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 36  vert.: 29
(II) RADEON(0): Gamma: 2.62
(II) RADEON(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) RADEON(0): redX: 0.607 redY: 0.344   greenX: 0.304 greenY: 0.565
(II) RADEON(0): blueX: 0.145 blueY: 0.118   whiteX: 0.310 whiteY: 0.335
(II) RADEON(0): Supported VESA Video Modes:
(II) RADEON(0): 720x400@70Hz
(II) RADEON(0): 640x480@60Hz
(II) RADEON(0): 640x480@72Hz
(II) RADEON(0): 640x480@75Hz
(II) RADEON(0): 800x600@60Hz
(II) RADEON(0): 800x600@72Hz
(II) RADEON(0): 800x600@75Hz
(II) RADEON(0): 1024x768@60Hz
(II) RADEON(0): 1024x768@70Hz
(II) RADEON(0): 1024x768@75Hz
(II) RADEON(0): 1280x1024@75Hz
(II) RADEON(0): 1152x870@75Hz
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported Future Video Modes:
(II) RADEON(0): #0: hsize: 640  vsize 480  refresh: 60  vid: 16433
(II) RADEON(0): #1: hsize: 800  vsize 600  refresh: 75  vid: 20293
(II) RADEON(0): #2: hsize: 1024  vsize 768  refresh: 75  vid: 20321
(II) RADEON(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 108.0 MHz   Image Size:  359 x 287 mm
(II) RADEON(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end
1688 h_border: 0
(II) RADEON(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking:
1066 v_border: 0
(II) RADEON(0): Monitor name: IBM T85A
(II) RADEON(0): Serial No: 55-C7388
(II) RADEON(0):  TFT Monitor
(==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
(II) RADEON(0): Monitor0: Using hsync range of 48.00-65.00 kHz
(II) RADEON(0): Monitor0: Using vrefresh range of 60.00-75.00 Hz
(II) RADEON(0): Clock range:  12.00 to 350.00 MHz
(II) RADEON(0): Notusing mode "1400x1050" (hsync out of range)
(II) RADEON(0): Not using mode "1400x1050" (hsync out of range)
(II) RADEON(0): Not using mode "1400x1050" (hsync out of range)
(II) RADEON(0): Not using mode "1400x1050" (hsync out of range)
(II) RADEON(0): Not using default mode "640x350" (hsync out of range)
(II) RADEON(0): Not using default mode "640x400" (hsync out of range)
(II) RADEON(0): Not using default mode "720x400" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (vrefresh out of range)
(II) RADEON(0): Not using default mode "1024x768" (hsync out of range)
(II) RADEON(0): Not using default mode "1024x768" (hsync out of range)
(II) RADEON(0): Not using default mode "1152x864" (hsync out of range)
(II) RADEON(0): Not using default mode "1280x960" (hsync out of range)
(II) RADEON(0): Not using default mode "1280x1024" (hsync out of range)
(II) RADEON(0): Not using default mode "1280x1024" (hsync out of range)
(II) RADEON(0): Not using default mode "1600x1200" (hsync out of range)
(II) RADEON(0): Not using default mode "1600x1200" (hsync out of range)
(II) RADEON(0): Not using default mode "1600x1200" (hsync out of range)
(II) RADEON(0): Not using default mode "1600x1200" (hsync out of range)
(II) RADEON(0): Not using default mode "1600x1200" (hsync out of range)
(II) RADEON(0): Not using default mode "1792x1344" (hsync out of range)
(II) RADEON(0): Not using default mode "1792x1344" (hsync out of range)
(II) RADEON(0): Not using default mode "1856x1392" (hsync out of range)
(II) RADEON(0): Not using default mode "1856x1392" (hsync out of range)
(II) RADEON(0): Not using default mode "1920x1440" (hsync out of range)
(II) RADEON(0): Not using default mode "1920x1440" (hsync out of range)
(--) RADEON(0): Virtual size is 1280x1024 (pitch 1280)
(**) RADEON(0): Default mode "1280x1024": 108.0 MHz, 64.0 kHz, 60.0 Hz
(II) RADEON(0): Modeline "1280x1024"  108.00  1280 1328 1440 1688  1024
1025 1028 1066 +hsync +vsync
(--) RADEON(0): Display dimensions: (36, 29) cm
(--) RADEON(0): DPI set to (90, 89)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) RADEON(0): Depth moves disabled by default
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xff980000 - 0xff9fffff (0x80000) MS[B]
	[1] 0	0xe8000000 - 0xefffffff (0x8000000) MS[B]
	[2] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0xffafff00 - 0xffafffff (0x100) MX[B]
	[8] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[9] -1	0xff960000 - 0xff97ffff (0x20000) MX[B](B)
	[10] -1	0xff980000 - 0xff9fffff (0x80000) MX[B](B)
	[11] -1	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[12] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[13] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[14] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[15] 0	0x0000d800 - 0x0000d8ff (0x100) IS[B]
	[16] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0x0000eff0 - 0x0000eff7 (0x8) IX[B]
	[19] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[20] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[21] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[22] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[23] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
	[24] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[25] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(==) RADEON(0): Write-combining range (0xe8000000,0x2000000)
[drm] failed to load kernel module "radeon"
(II) RADEON(0): [drm] drmOpen failed
(EE) RADEON(0): [dri] DRIScreenInit failed.  Disabling DRI.
(II) RADEON(0): Memory manager initialized to (0,0) (1280,6553)
(II) RADEON(0): Reserved area from (0,1024) to (1280,1026)
(II) RADEON(0): Largest offscreen area available: 1280 x 5527
(==) RADEON(0): Backing store disabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(II) RADEON(0): Acceleration enabled
(II) RADEON(0): Using hardware cursor (scanline 4104)
(II) RADEON(0): Largest offscreen area available: 1280 x 5525
(**) Option "dpms"
(**) RADEON(0): DPMS enabled
(WW) RADEON(0): Option "nodri" is not used
(II) RADEON(0): Direct rendering disabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/psaux"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
SetKbdSettings - type: 2 rate: 30 delay: 500 snumlk: 0
SetKbdSettings - Succeeded
GetModeLine - scrn: 0 clock: 108000
GetModeLine - hdsp: 1280 hbeg: 1328 hend: 1440 httl: 1688
              vdsp: 1024 vbeg: 1025 vend: 1028 vttl: 1066 flags: 5
Comment 1 Mike A. Harris 2001-07-30 04:57:46 EDT
Please supply both "lspci -v" and "lspci -vn" (complete output, not just
video).  Please attach this (and any file attachments) using the file 
attachment link below instead of cut and paste.

Thanks.
Comment 2 Marty Shannon 2001-07-30 05:07:11 EDT
Created attachment 25354 [details]
lspci -v
Comment 3 Marty Shannon 2001-07-30 05:10:13 EDT
Created attachment 25355 [details]
lspci -vn
Comment 4 Glen Foster 2001-07-30 15:43:35 EDT
This defect is considered SHOULD-FIX for Fairfax
Comment 5 Mike A. Harris 2001-08-15 11:08:02 EDT
Please try latest XFree86 release from:
ftp://people.redhat.com/mharris/testing/bleeding-edge

It includes improved Radeon support, and a plethora of new Radeon and
other ATI fixes.
Comment 6 Jay Turner 2002-04-02 12:03:17 EST
Is this working now?
Comment 7 Mike A. Harris 2002-04-03 09:45:05 EST
Works in RHL 7.2

Note You need to log in before you can comment on or make changes to this bug.